import Vue from 'vue'
const Home = () => import('gcloud-oauth-vue/src/layout/index.vue') //首页
const User = () => import('../../packages/user/src/main.vue') //用户管理
const UserInfo = () => import('../../packages/user/src/userInfo.vue') //用户信息
const AddUserInfo = () => import('../../packages/user/src/addUserInfo.vue') //用户信息
const HotSportClass = () => import('../../packages/hotSportClass/src/main.vue')  // 热点分类


const businessRoutes = [{
    path: '/private/home',
    name: 'home',
    component: Home,
    // meta:{title :"首页"}, 
    children: [
      // 用户账号管理
      {
        path: '/private/userManager',
        name: 'userManager',
        meta:{title :"用户账号管理"}, 
        component: User
      },
      {
        path: '/private/userInfo',
        name: 'userInfo',
        meta:{title :"用户个人信息"}, 
        component: UserInfo
      },
      {
        path: '/private/addUserInfo',
        name: 'addUserInfo',
        meta:{title :"新增个人信息"}, 
        component: AddUserInfo
      },
      {
        path: '/private/editUserInfo',
        name: 'editUserInfo',
        meta:{title :"修改个人信息"}, 
        component: AddUserInfo
      },
      // 热点分类
      {
        path: '/private/hotsportClass',
        name: 'hotsportClass',
        meta:{title :"热点分类管理"}, 
        component: HotSportClass
      },
    ]
  },

]

export {
  businessRoutes
}