

const { RegionPromiseClient } = require('./gcloud/region/api/region_rpc_grpc_web_pb');
const { MofPromiseClient } = require('./gcloud/region/api/mof_rpc_grpc_web_pb');
const { UCenterPromiseClient } = require('./gcloud/ucenter/ucenter_rpc_grpc_web_pb.js');
const { ElePromiseClient } = require('./gcloud/ele/api/ele_rpc_grpc_web_pb.js');
const { XyuserPromiseClient } = require('./gcloud/xyuser/xyuser_rpc_grpc_web_pb');
const { PubPromiseClient } = require('./gcloud/pub/api/pub_rpc_grpc_web_pb');
// const { PubPromiseClient } = require('./gcloud/xycz/pub/api/pub_rpc_grpc_web_pb');

var regionClient = null;
var mofClient = null;
var pmClient = null;
var pubClient = null;
var uCenterClient =null;
var eleClient =null;
var xyuserClient =null;
var xyuserClient =null;

const xyczInstall = function(config) {
  let baseUrl = config.zycBaseUrl || config.baseUrl;
  let baseCredentials= config.zycBaseCredentials || config.baseCredentials;
  let baseOpts = config.zycBaseOpts || config.baseOpts;
  let baseStreamOpts = config.fileBaseStreamOpts || config.baseStreamOpts;
  let oauthOpts = config.oauthOpts;
  regionClient = new RegionPromiseClient(baseUrl,baseCredentials, oauthOpts);
  mofClient = new MofPromiseClient(baseUrl,baseCredentials, oauthOpts);
  uCenterClient = new UCenterPromiseClient(baseUrl,baseCredentials, oauthOpts);
  eleClient = new ElePromiseClient(baseUrl,baseCredentials, oauthOpts);
  xyuserClient = new XyuserPromiseClient(baseUrl,baseCredentials, oauthOpts);
  pubClient = new PubPromiseClient(baseUrl,baseCredentials, oauthOpts);
  return {mofClient,regionClient,uCenterClient,eleClient,pubClient};
};


export { xyczInstall,mofClient,regionClient,uCenterClient,xyuserClient,eleClient,pubClient};
